Package twisted :: Package web :: Module google :: Class GoogleCheckerFactory

[frames | no frames]

## Class GoogleCheckerFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   GoogleCheckerFactory

Method Summary
| `__init__(self, words)`
| `clientConnectionFailed(self, _, reason)`
| `gotLocation(self, location)`
| `noLocation(self, error)`
Inherited from ClientFactory
| ``clientConnectionLost`(self, connector, reason)` Called when an established connection is lost.
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`class` | `protocol` = `twisted.web.google.GoogleChecker`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Generated by Epydoc 2.0 on Sat May 15 20:08:34 2004 | http://epydoc.sf.net